Subject: bug#9324: 24.0.50; Movement past end of screen causes weird jump

From: Antoine Levitt <[email-masked]>
Date: Thu, 18 Aug 2011 23:11:10 +0200

18/08/11 22:48, Ivan Andrus
> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':
>
> This bug has been plaguing me for some time, but I was finally able to
> create a minimal recipe.  I can't reproduce it with this test in the
> terminal and I don't use emacs in the terminal much so I don't know if
> it happens there.  It might also be specific to Mac OS X.
>
> It seems (at least in this case) to be dependent on there being a
> continued line at the top, and the line that should be moved to just off
> the screen so that it would have to rescroll.  Anyway here is the data
> that can be used to reproduce it from `emacs -Q`:
>
> Create a buffer with the data and place your cursor after the
> first block of elisp code (line 21).  Use C-x C-e to evaluate it
> to get all the parameters set up (it will move to the next line),
> then C-x C-e again which _should_ move to the end of the file.
> However, it moves to the beginning of the current line, so that
> repeating C-x C-e will jump back and forth between the beginning
> and end of the line.  At least that's what happens to me
> today :-) I'm running bzr revno 105479.

Can't reproduce it here on emacs -Q. I do C-x C-e to evaluate the
(progn), it jumps to the end of the (forward-sexp) with view centred on
the (forward-sexp), and when I do the (forward-sexp), it jumps to the
end of the defadvice, as expected. That's emacs trunk, under linux, GTK
build.  Attaching a screenshot so you can see what it looks like:
http://imageshack.us/photo/my-images/27/screenshotemacslambda.png/